dpkg-split(1)

NOMBRE
dpkg-split - herramienta para separar/unir paquetes Debian

SINOPSIS
dpkg-split -s|--split fichero-completo [prefijo]
dpkg-split -j|--join parte parte ...
dpkg-split -I|--info parte parte ...
dpkg-split -a|--auto -o salida-completa parte
dpkg-split -l|--listq
dpkg-split -d|--discard [paquete paquete ...]

DESCRIPCIÓN
dpkg-split separa un paquete binario de Debian en varias partes más pequeñas para luego volverlas a unir, de esta forma se pueden almacenar paquetes en medios de poca capacidad, como disquetes.

Puede usarse manualmente usando las opciones --split, --join e --info.

También posee un modo automático, invocado con la opción --auto , entonces mantiene una cola con las partes que ha visto pero que aún no se han unido y reensambla el paquete cuando haya visto todas sus partes. Las opciones --listq y --discard permiten administrar la cola.

Todas las operaciones de separación, unión y encolado producen mensajes informativos en la salida estándar, pueden ignorarse sin ningún riesgo.

OPCIONES DE ACCIÓN

--split, -s
    Separa un paquete binario de Debian en varias partes.

    Las partes reciben el nombre prefijo.NofM.deb donde N es el número de la partes, comenzando por 1, y M el el número total de partes (ambos en decimal).

    Si no se proporciona ningún prefijo entonces se toma el nombre del fichero-completo , incluyendo el directorio, con cualquier terminación .deb eliminada.

--join, -j
    Une las partes de un paquete, dejando el paquete tal y como era originalmente.

    Las partes que se proporcionen como argumento deben de ser todas las partes del fichero original. Cada parte debe proporcionarse una sola vez, aunque no necesariamente en orden.

    Todas las partes deben generarse con el mismo tamaño especificado a la hora de la separación, lo que significa que todas deben haber sido generadas por la misma invocación de dpkg-split --split.

    El nombre de las partes no es significativo para el proceso de reensamblado.

    Por omisión el fichero resultante se llama paquete-versión.deb.

--info, -I
    Muestra información entendible por una persona acerca de la parte o las partes del fichero o ficheros especificados. Argumentos que no sean parte de un paquete binario producen un mensaje avisando del problema (en la salida estándar).

--auto, -a
    Encolar las partes automáticamente y reensamblar el paquete si es posible.

    La parte especificada se examina y compara junto con las otras partes del mismo paquete (si hay alguna) en la cola de ficheros parte de otros paquetes.

    Si están disponibles todas las partes del fichero al que pertenece la parte , entonces se reensamblará el paquete y se guardará en salida-completa (que normalmente no existe, aunque esto no es un error).

    Si no, la parte se copia en la cola pero no se crea salida-completa.

    Si parte no es una parte del paquete binario entonces dpkg-split terminará con un estado de salida igual a 1, si ocurre algún otro tipo de error el estado de salida será 2.

    Debe de proporcionar la opción --output o -o cuando use --auto. (Si este argumento no fuese obligatorio el programa que ejecute dpkg-split no sabría que fichero esperar).

--listq, -l
    Lista los contenidos de la cola de paquetes para reensamblar.

    Por cada fichero de un paquete que contenga partes en la cola se muestra el nombre del paquete, las partes en la cola y el número total de bytes guardados en ésta.

--discard, -d
    Descarta partes de la cola de aquéllas que esperan las partes restantes del paquete para ser reensambladas.

    Si no se especifica ningún paquete se limpia la cola por completo, si se especifica alguno sólo se eliminan las partes de los paquetes relevantes.

--help, -h
    Muestra el modo de uso de dpkg-split , dando además un breve resumen de sus opciones.

--version
    Muestra la versión de dpkg-split.

--licence
    Muestra información acerca de la licencia de dpkg-split así como de su falta de garantía. (La escritura americana --license también se admite).

OTRAS OPCIONES

--depotdir directorio
    Especifica un directorio alternativo para las partes que se encuentran en la cola esperando para ser reensambladas. Por omisión es /var/lib/dpkg.

--partsize|-S kbytes
    Especifica el tamaño máximo de cada parte en kilobytes (1024 bytes). Por omisión es 450Kb.

--output|-O complete-output
    Especifica el nombre del fichero donde se reensamblarán las partes.

    Ésto substituye el nombre por omisión en modo manual (--join) y es obligatorio para el modo automático (--auto).

--npquiet, -Q
    Cuando dpkg-split está en modo automático normalmente muestra mensajes si se le pasa una parte que no es parte del paquete binario. Esta opción suprimer estos mensajes, esto permite que programas como dpkg puedan separar y unir paquetes sin producir mensajes espúreos.

--msdos
    Fuerza nombres compatibles con msdos.

    Esta opción modifica el prefijo (tanto el prefijo por omisión como el proporcionado por un argumento), los carácteres alfanuméricos se pasan a minúsculas, los signos '+' se reemplazano por x y el resto de los carácteres se descartan.

    El resultado restante se trunca hasta donde sea necesario de forma que se generen ficheros de la forma prefijoNofM.deb.

ESTADO DE SALIDA
Un estado de salida 0 indica que que la operación requerida se ha realizado con éxito. Las órdenes --info se dan cómo satisfactorias incluso si los ficheros no son parte de ningún paquete binario.

Se devuelve un estado de salida de 1 sólo cuando se use la opción --auto e indica que la parte no era parte de un paquete binario.

Se devuelve un estado de salida de 2 cuando ocurre algún tipo de problema, como una llamada al sistema fallida, un fichero que parecía parte de un paquete pero que estaba corrupto, un uso incorrecto del programa o algún otro problema.

FALLOS
dpkg-split usa algunas convenciones un tanto pasadas de fecha para el nombre de los paquetes de Debian.

Es imposible obtener todos los detalles de los paquetes que están en la cola sin investigar en la cola directamente por uno mismo.

No una manera sencilla de comprobar cuando un fichero que puede ser parte de un paquete bianrio lo es realmente.

La arquitectura no se refleja en la cabecera de las partes del fichero, sólo en la información de control del paquete binario original, y este no esta presente en las partes generadas.

FICHEROS

/var/lib/dpkg/parts
    El directorio por omisión donde las partes esperan para un reensamblado automático.

    Los nombre de los ficheros usados en este directorio se encuentran en un formato interno de dpkg-split y es improbable que sean útiles para otros programas, en cualquier caso, no se deberían tener en cuenta.

VÉASE TAMBIÉN
deb(5), deb-control(5), dpkg-deb(1), dpkg(8)

AUTOR
dpkg-split Esta página de manual fue escrita por Ian Jackson. Es Copyright (C) 1995-1996 del mismo y liberada bajo la Licencia Pública General de GNU, NO hay ninguna garantía. Vea /usr/share/dpkg/copyright y /usr/share/common-licenses/GPL para más información.

TRADUCTOR
Traducción de Rubén Porras Campo <debian-l10n-spanish@lists.debian.org>